cereal::tuple_detail::to_string_impl< Q, R, C > Struct Template Reference

Converts a number into a sequence of characters. More...

`#include </build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/types/tuple.hpp>`

## Public Types

using | type = typename to_string_impl< Q/10, Q%10, R+'0', C... >::type

## Detailed Description

### template<size_t Q, size_t R, char... C>
struct cereal::tuple_detail::to_string_impl< Q, R, C >

Converts a number into a sequence of characters.

Template Parameters

  Q | The quotient of dividing the original number by 10
  R | The remainder of dividing the original number by 10
  C | The sequence built so far

The documentation for this struct was generated from the following file:

- /build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/types/tuple.hpp